Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358570 - [ceph-ansible]: Installation guide for ubuntu- section '5. UPGRADING CEPH STORAGE CLUSTER' needs few modification
Summary: [ceph-ansible]: Installation guide for ubuntu- section '5. UPGRADING CEPH STO...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Storage Console
Classification: Red Hat
Component: documentation
Version: 2
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: 2
Assignee: Aron Gunn
QA Contact: Rachana Patel
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-21 02:39 UTC by Rachana Patel
Modified: 2018-11-19 05:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-19 05:30:13 UTC


Attachments (Terms of Use)

Description Rachana Patel 2016-07-21 02:39:01 UTC
Description of problem:
=======================
[ceph-ansible]: Installation guide for ubuntu- section '5. UPGRADING CEPH STORAGE CLUSTER' needs few modification


How reproducible:
================
always


Document:-

https://access.qa.redhat.com/documentation/en/red-hat-ceph-storage/2/installation-guide-for-ubuntu/#upgrading_ceph_storage_cluster

above Document needs few modification as below

1:-

Actual results:
===============
5.2. UPGRADING A CEPH OSD NODE
As root, stop any running OSD process:
Syntax
$ sudo stop ceph-osd id=<osd_id>

Example
$ sudo stop ceph-osd id=node1

Expected results:
=================
In Example, it should not say node1, it should be osd id which is number from 0 to (osd-1)
so example should have some number not node1


2:-

Actual results:
===============
5.3. UPGRADING A CEPH RADOS GATEWAY
4. As root, update the ceph-radosgw package:

$ sudo apt-get update
$ sudo apt-get dist-upgrade
$ sudo apt-get install ceph-radosgw


Expected results:
=================
package is radosgw not ceph-radosgw so it should be

4. As root, update the ceph-radosgw package:

$ sudo apt-get update
$ sudo apt-get dist-upgrade
$ sudo apt-get install radosgw




3:-

Actual results:
===============
5.3. UPGRADING A CEPH RADOS GATEWAY

Step 4.a and 7.d says
Verify the Ceph package versions:

$ dpkg -s ceph-base | grep Version


Expected results:
=================
dpkg -s ceph-base | grep Version fails if that node is only radosgw client node

ubuntu@magna057:~$ dpkg -s ceph-base | grep Version
dpkg-query: package 'ceph-base' is not installed and no information is available
Use dpkg --info (= dpkg-deb --info) to examine archive files,
and dpkg --contents (= dpkg-deb --contents) to list their contents.


need some other command to confirm version



Additional info:

Comment 3 Rachana Patel 2016-08-01 20:06:30 UTC
Issue 1 and 2 has been fixed.

Issue 3 is still there in doc mentioned in comment 2 - preview link


5.3. UPGRADING A CEPH RADOS GATEWAY

Step 4.a and 7.d says
Verify the Ceph package versions:

$ dpkg -s ceph-base | grep Version


Expected results:
=================
dpkg -s ceph-base | grep Version fails if that node is only radosgw client node

ubuntu@magna057:~$ dpkg -s ceph-base | grep Version
dpkg-query: package 'ceph-base' is not installed and no information is available
Use dpkg --info (= dpkg-deb --info) to examine archive files,
and dpkg --contents (= dpkg-deb --contents) to list their contents.


Hence moving back to Assigned

Comment 5 Rachana Patel 2016-08-11 20:17:29 UTC
Verified link mentioned in Comment#4 and looks good to me, hence moving to verified


Note You need to log in before you can comment on or make changes to this bug.